REPO(1)

NAME
repo - repo gitc-init - manual page for repo gitc-init

SYNOPSIS
repo gitc-init [options] [client name]

DESCRIPTION
Summary

Initialize a GITC Client.

OPTIONS

-h, --help
    show this help message and exit

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

  Manifest options:

-u URL, --manifest-url=URL
    manifest repository location

-b REVISION, --manifest-branch=REVISION
    manifest branch or revision (use HEAD for default)

-m NAME.xml, --manifest-name=NAME.xml
    initial manifest file

--standalone-manifest
    download the manifest as a static file rather then create a git checkout of the manifest repo

-g GROUP, --groups=GROUP
    restrict manifest projects to ones with specified group(s) [default|all|G1,G2,G3|G4,-G5,-G6]

-p PLATFORM, --platform=PLATFORM
    restrict manifest projects to ones with a specified platform group [auto|all|none|linux|darwin|...]

--submodules
    sync any submodules associated with the manifest repo

  Manifest (only) checkout options:

--current-branch
    fetch only current manifest branch from server

--no-current-branch
    fetch all manifest branches from server

--tags
    fetch tags in the manifest

--no-tags
    don't fetch tags in the manifest

  Checkout modes:

--mirror
    create a replica of the remote repositories rather than a client working directory

--archive
    checkout an archive instead of a git repository for each project. See git archive.

--worktree
    use git-worktree to manage projects

  Project checkout optimizations:

--reference=DIR
    location of mirror directory

--dissociate
    dissociate from reference mirrors after clone

--depth=DEPTH
    create a shallow clone with given depth; see git clone

--partial-clone
    perform partial clone (https://gitscm.com/docs/gitrepositorylayout#_code_partialclone_code)

--no-partial-clone
    disable use of partial clone (https://gitscm.com/docs/gitrepositorylayout#_code_partialclone_code)

--partial-clone-exclude=PARTIAL_CLONE_EXCLUDE
    exclude the specified projects (a comma-delimited project names) from partial clone (https://gitscm.com/docs/gitrepositorylayout#_code_partialclone_code)

--clone-filter=CLONE_FILTER
    filter for use with --partial-clone [default: blob:none]

--use-superproject
    use the manifest superproject to sync projects

--no-use-superproject
    disable use of manifest superprojects

--clone-bundle
    enable use of /clone.bundle on HTTP/HTTPS (default if not --partial-clone)

--no-clone-bundle
    disable use of /clone.bundle on HTTP/HTTPS (default if --partial-clone)

  repo Version options:

--repo-url=URL
    repo repository location ($REPO_URL)

--repo-rev=REV
    repo branch or revision ($REPO_REV)

--no-repo-verify
    do not verify repo source code

  Other options:

--config-name
    Always prompt for name/e-mail

  GITC options:

-f MANIFEST_FILE, --manifest-file=MANIFEST_FILE
    Optional manifest file to use for this GITC client.

-c GITC_CLIENT, --gitc-client=GITC_CLIENT
    Name of the gitc_client instance to create or modify.

Run `repo help gitc-init` to view the detailed manual.

DETAILS

The 'repo gitc-init' command is ran to initialize a new GITC client for use with the GITC file system.

This command will setup the client directory, initialize repo, just like repo init does, and then downloads the manifest collection and installs it in the .repo/directory of the GITC client.

Once this is done, a GITC manifest is generated by pulling the HEAD SHA for each project and generates the properly formatted XML file and installs it as .manifest in the GITC client directory.

The -c argument is required to specify the GITC client name.

The optional -f argument can be used to specify the manifest file to use for this GITC client.